Subject: Re: [PATCH v2 3/3] mctp pcc: Implement MCTP over PCC Transport

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Jun 2024 06:26:47 -0700

On Wed, 19 Jun 2024 23:24:41 -0400 Adam Young wrote:
> > drivers/net/mctp/mctp-pcc.c:344:3: error: field designator 'owner' does not refer to any field in type 'struct acpi_driver'
> >    344 |         .owner = THIS_MODULE,
> >        |         ~^~~~~~~~~~~~~~~~~~~  
> 
> Not sure how you are getting that last error.  I do not, and the v6.9.3 
> code base has this in include/acpi/acpi_bus.h at line 166

v6.9.3 is not a development kernel. Your patches will be merged to net-next.
Read more of the process doc I linked in the previous message.

> That runs clean.

It doesn't on patches 1 and 2, but you're right, I think it's
intentional / because of the "historical" ACPI coding style :(